import { request } from '@/utils/http'
export default {
  apilogin: (params) => { // 登录
    return request('api/login', params, 'loading')
  },
	apiregister: (params) => { // 注册
	  return request('api/register', params, 'loading')
	},
	apisendsms: (params) => { // 发送短信
	  return request('api/send/sms', params, 'loading')
	},
	apicaptcha: (params) => { // 验证码图片
	  return request('api/captcha', params, 'loading')
	},
	apicheckcaptcha: (params) => { // 检查手机号
	  return request('api/check/captcha', params)
	},
	apiwxlogin: (params) => { // 微信登录
	  return request('api/wx/login', params, 'loading')
	},
	apiwxautologin: (params) => { // 微信登录 自动
	  return request('api/wx/autologin', params, 'loading')
	},
	apiuserinfo: (params) => { // 用户信息
	  return request('api/user/info', params, 'loading')
	},
	apiuseredit: (params) => { // 用户编辑
	  return request('api/user/edit', params, 'loading')
	},
	apiuserbindwechat: (params) => { // 绑定微信
	  return request('api/user/bind/wechat', params, 'loading')
	},
	apiuserauthadd: (params) => { // 用户认证 - 提交认证
	  return request('api/user/auth/add', params, 'loading')
	},
	apiuserauthinfo: (params) => { // 用户认证 - 认证详情
	  return request('api/user/auth/info', params, 'loading')
	},
	apiuploadcloudpiv: (params) => { // 图片上传云接口
	  return request('api/upload/cloudpiv', params, 'loading')
	},
}
